Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class MethodCallExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.MethodCallExpression

    public class MethodCallExpression
    extends Expression

A method call on an object or class

Authors:
  James Strachan

Version:
  \$Revision: 21434 \$

Field Summary
`static Expression` | `NO_ARGUMENTS`

Constructor Summary
`MethodCallExpression(Expression objectExpression, String method, Expression arguments)`
`MethodCallExpression(Expression objectExpression, Expression method, Expression arguments)`

Method Summary
`Expression` | `getArguments()`
`GenericsType[]` | `getGenericsTypes()`
`MetaMethod` | `getMetaMethod()` @deprecated
`Expression` | `getMethod()`
`String` | `getMethodAsString()` This method returns the method name as String if it is no dynamic calculated method name, but a constant.
`MethodNode` | `getMethodTarget()`
`Expression` | `getObjectExpression()`
`String` | `getText()`
`boolean` | `isImplicitThis()` @return true if no object expression was specified otherwise if some expression was specified for the object on which to evaluate the method then return false
`boolean` | `isSafe()` @return is this a safe method call, i.e. if true then if the source object is null then this method call will return null rather than throwing a null pointer exception
`boolean` | `isSpreadSafe()`
`boolean` | `isUsingGenerics()`
`void` | `setArguments(Expression arguments)`
`void` | `setGenericsTypes(GenericsType[] genericsTypes)`
`void` | `setImplicitThis(boolean implicitThis)`
`void` | `setMetaMethod(MetaMethod mmeth)` @deprecated
`void` | `setMethod(Expression method)`
`void` | `setMethodTarget(MethodNode mn)`
`void` | `setObjectExpression(Expression objectExpression)`
`void` | `setSafe(boolean safe)`
`void` | `setSpreadSafe(boolean value)`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### NO_ARGUMENTS

    public static final Expression NO_ARGUMENTS

Constructor Detail

### MethodCallExpression

    public MethodCallExpression(Expression objectExpression, String method, Expression arguments)

### MethodCallExpression

    public MethodCallExpression(Expression objectExpression, Expression method, Expression arguments)

Method Detail

### getArguments

    public Expression getArguments()

### getGenericsTypes

    public GenericsType[] getGenericsTypes()

### getMetaMethod

    public MetaMethod getMetaMethod()

  deprecated:

### getMethod

    public Expression getMethod()

### getMethodAsString

    public String getMethodAsString()

  This method returns the method name as String if it is no dynamic calculated method name, but a constant.

### getMethodTarget

    public MethodNode getMethodTarget()

### getObjectExpression

    public Expression getObjectExpression()

### getText

    public String getText()

### isImplicitThis

    public boolean isImplicitThis()

  Returns:
    true if no object expression was specified otherwise if some expression was specified for the object on which to evaluate the method then return false

### isSafe

    public boolean isSafe()

  Returns:
    is this a safe method call, i.e. if true then if the source object is null then this method call will return null rather than throwing a null pointer exception

### isSpreadSafe

    public boolean isSpreadSafe()

### isUsingGenerics

    public boolean isUsingGenerics()

### setArguments

    public void setArguments(Expression arguments)

### setGenericsTypes

    public void setGenericsTypes(GenericsType[] genericsTypes)

### setImplicitThis

    public void setImplicitThis(boolean implicitThis)

### setMetaMethod

    public void setMetaMethod(MetaMethod mmeth)

  deprecated:

### setMethod

    public void setMethod(Expression method)

### setMethodTarget

    public void setMethodTarget(MethodNode mn)

### setObjectExpression

    public void setObjectExpression(Expression objectExpression)

### setSafe

    public void setSafe(boolean safe)

### setSpreadSafe

    public void setSpreadSafe(boolean value)

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.